CVE-2008-3827

NameCVE-2008-3827
DescriptionMultiple integer underflows in the Real demuxer (demux_real.c) in MPlayer 1.0_rc2 and earlier allow remote attackers to cause a denial of service (process termination) and possibly execute arbitrary code via a crafted video file that causes the stream_read function to read or write arbitrary memory.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1644-1, DTSA-168-1
NVD severityhigh (attack range: remote)
Debian Bugs500683

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mplayer (PTS)wheezy2:1.0~rc4.dfsg1+svn34540-1+deb7u1fixed
wheezy (security)2:1.0~rc4.dfsg1+svn34540-1+deb7u2fixed
stretch2:1.3.0-6fixed
buster, sid2:1.3.0-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mplayersource(unstable)1.0~rc2-18medium500683
mplayersourceetch1.0~rc1-12etch5highDSA-1644-1
mplayersourcelenny1.0~rc2-17+lenny1highDTSA-168-1

Notes

http://www.ocert.org/advisories/ocert-2008-013.html

Search for package or bug name: Reporting problems